### File

`packages/components/eui-dropdown/eui-dropdown.service.ts`

### Deprecated

This service is deprecated and will be removed in future versions. Use `EuiDropdownComponent` output events instead.

### Description

Service to manage the state of dropdowns in the application. This service provides an event emitter to notify when a dropdown is opened or closed.

`EuiDropdownComponent` output events instead.

### Index

###### Properties
isDropdownOpen

### Properties

isDropdownOpen
Use `EuiDropdownComponent` output events instead.
Type : `unknown`
Default value : `new EventEmitter<boolean>()`
Event emitter that emits a boolean value indicating whether the dropdown is open or closed.

# results matching ""

# No results matching ""